/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.DragBar {
    display: flex;
    flex-shrink: 0;
    /* same as height: 100%; but works around chrome's brain dead
       implementation: http://stackoverflow.com/a/32466333 */
    align-self: stretch;

    background: _palette(border);
    padding: 0 0.15em;
    border: 0.05em solid _palette(border);
}
.DragBar--v {
    width: 0.35em;
    border-top: 0;  border-bottom: 0;
    cursor: col-resize;
}
.DragBar--h {
    height: 0.35em;
    border-left: 0;  border-right: 0;
    cursor: row-resize;
}

.SplitSpacer--v {
    width: 0.75em;
}
.SplitSpacer--h {
    height: 0.75em;
}

.DragBar--snap-preview {
    pointer-events: none;
    position: absolute;
    display: block;

    opacity: 0.5;
    transition: all _duration(transition) ease-in-out;
}
.DragBar--v--snap-preview {
    height: 100%;
    transform: translateX(-50%);
}
.DragBar--h--snap-preview {
    width: 100%;
    transform: translateY(-50%);
}
.DragBar--snap-preview--highlight {
    opacity: 1;
    box-shadow: 0 0 2em _palette(yellow);
    background: _palette(yellow);
}
